Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# join

Perl 5 version 16.0 documentation
Go to top
Show recent pages
Recently read

# join

Perl functions A-Z | Perl functions by category | The 'perlfunc' manpage

- join EXPR,LIST

  Joins the separate strings of LIST into a single string with fields separated by the value of EXPR, and returns that new string. Example:

          $rec = join(':', $login,$passwd,$uid,$gid,$gcos,$home,$shell);

  Beware that unlike `split`, `join` doesn't take a pattern as its first argument. Compare split.